> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete feedback

> Complete a feedback form for an application



## OpenAPI

````yaml post /v1.0/{company_id}/feedback
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/feedback:
    post:
      tags:
        - Feedback
      operationId: Feedback_SubmitFeedback
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitFeedbackRequest'
        required: true
        x-position: 2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleResponseOfFeedbackResponseDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    SubmitFeedbackRequest:
      type: object
      additionalProperties: false
      properties:
        application_id:
          type: string
          format: int32
        form_id:
          type: string
          format: int32
        answers:
          type: array
          items:
            $ref: '#/components/schemas/SubmittedAnswer'
    SingleResponseOfFeedbackResponseDto:
      type: object
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/FeedbackResponseDto'
    ValidationProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    SubmittedAnswer:
      type: object
      additionalProperties: false
      properties:
        question_id:
          type: string
          description: The id of the question. Format `qustn_1a2b3c`
          format: int32
        text:
          type: string
          description: >-
            The text answer given. Only applicable for `textbox` and `text_area`
            type questions
        ratings:
          type: array
          description: >-
            The answers given for a scorecard. Only applicable for `scorecard`
            type questions
          items:
            $ref: '#/components/schemas/SubmittedRating'
        selected_options:
          type: array
          description: >-
            One or more answers given for a multiple choice question. Only
            applicable for `checkbox` type questions
          items:
            type: string
            format: int32
        selected_option:
          type: string
          description: >-
            The single selected answer for a radio/dropdown question. Only
            applicable for `radio` and `dropdown` type questions
          format: int32
          nullable: true
    FeedbackResponseDto:
      type: object
      additionalProperties: false
      required:
        - questions
      properties:
        id:
          type: string
          description: The id of the feedback. Format `fdbk_1a2b3c`
          format: int32
        application_id:
          type: string
          description: The application id this feedback form is for. Format `app_1a2b3c`
          format: int32
        form_id:
          type: string
          description: >-
            The id of the form that the feedback is connected to. Format
            `form_1a2b3c`
          format: int32
        candidate:
          $ref: '#/components/schemas/Candidate'
        name:
          type: string
          description: The name of the form.
        creator:
          $ref: '#/components/schemas/Creator2'
        reviewer:
          $ref: '#/components/schemas/Reviewer'
        status:
          $ref: '#/components/schemas/FeedbackStatus'
          description: >-
            The current status of the feedback indicating if it has been
            completed or not.
        date_created:
          type: string
          description: The date that the feedback was submitted or requested.
          format: date-time
        date_complete:
          type: string
          description: The date that the feedback was sumitted
          format: date-time
          nullable: true
        questions:
          type: array
          items:
            $ref: '#/components/schemas/FeedbackQuestionAndAnswer'
    SubmittedRating:
      type: object
      additionalProperties: false
      properties:
        option_id:
          type: string
          description: The id of the option. Format `opt_1a2b3c`
          format: int32
        rating:
          type: integer
          description: >-
            The answers given for a scorecard option. Options: -2 (Very poor),
            -1 (Poor), 0 (Neutral), 1 (Good), 2 (Very good) Only applicable for
            `scorecard` type questions
          format: int32
          nullable: true
    Candidate:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The candidate_id this feedback form is for. Format `can_1a2b3c`
          format: int32
        name:
          type: string
    Creator2:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the user that created this feedback. Format `usr_1a2b3c`
          format: int32
        name:
          type: string
    Reviewer:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the user that completed this feedback. Format `usr_1a2b3c`
          format: int32
        name:
          type: string
    FeedbackStatus:
      type: string
      description: ''
      x-enumNames:
        - Pending
        - Complete
      enum:
        - pending
        - complete
    FeedbackQuestionAndAnswer:
      type: object
      additionalProperties: false
      required:
        - options
      properties:
        id:
          type: string
          description: The id of the question. Format `qustn_1a2b3c`
          format: int32
        type:
          $ref: '#/components/schemas/Elements'
          description: The type of field of the question.
        question:
          type: string
          description: The text of the question.
        description:
          type: string
          description: The description of the question if the `type` is `header`
        required:
          type: boolean
          description: A bool to indicate if this question is required.
        restricted:
          type: boolean
          description: >-
            A bool to indicate if the answers to this question require the
            `restricted` permission to view.
        display_order:
          type: integer
          format: int32
        options:
          type: array
          items:
            $ref: '#/components/schemas/FeedbackQuestionOption'
        answer:
          $ref: '#/components/schemas/FeedbackQuestionAnswer'
    Elements:
      type: string
      description: ''
      x-enumNames:
        - Textbox
        - TextArea
        - Radio
        - Checkbox
        - Dropdown
        - Upload
        - Header
        - Scorecard
      enum:
        - textbox
        - text_area
        - radio
        - checkbox
        - dropdown
        - upload
        - header
        - scorecard
    FeedbackQuestionOption:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the option. Format `opt_1a2b3c`
          format: int32
          nullable: true
        label:
          type: string
          description: The text label of the option
        description:
          type: string
          description: The text description of the option
    FeedbackQuestionAnswer:
      type: object
      additionalProperties: false
      properties:
        question_id:
          type: string
          description: The id of the question. Format `qustn_1a2b3c`
          format: int32
        text:
          type: string
          description: >-
            The text answer given. Only applicable for `textbox` and `text_area`
            type questions
        ratings:
          type: array
          description: >-
            The answers given for a scorecard. Only applicable for `scorecard`
            type questions
          items:
            $ref: '#/components/schemas/RatingDto'
        selected_options:
          type: array
          description: >-
            One or more answers given for a multiple choice question. Only
            applicable for `checkbox` type questions
          items:
            type: string
            format: int32
        selected_option:
          type: string
          description: >-
            The single selected answer for a radio/dropdown question. Only
            applicable for `radio` and `dropdown` type questions
          format: int32
          nullable: true
    RatingDto:
      type: object
      additionalProperties: false
      properties:
        option_id:
          type: string
          description: The id of the option. Format `opt_1a2b3c`
          format: int32
        rating:
          type: integer
          description: >-
            The answers given for a scorecard option. Options: -2 (Very poor),
            -1 (Poor), 0 (Neutral), 1 (Good), 2 (Very good) Only applicable for
            `scorecard` type questions
          format: int32
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````